#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Collection of files for checking, reporting, and revoking spam
Summary(pl.UTF-8):	Zbiór plików do sprawdzania, raportowania i odrzucania spamu
Name:		Razor
Version:	2.85
Release:	8
License:	Artistic
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/razor/razor-agents-%{version}.tar.bz2
# Source0-md5:	014d08db40187cb1316482191566b012
URL:		http://razor.sourceforge.net/
%if %{with autodeps}
BuildRequires:	perl-Class-Fields
BuildRequires:	perl-Digest-Nilsimsa
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-Net-DNS
BuildRequires:	perl-URI
%endif
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Razor = %{version}-%{release}
Obsoletes:	perl-Vipuls-Razor-V1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vipul's Razor is a distributed, collaborative, spam detection,
reporting, and filtering network. The primary focus of the system is
to identify and remove all email spam from the internet.

%description -l pl.UTF-8
Vipul's Razor jest dystrybuowalną, tworzoną dzięki współpracy siecią,
służącą do wykrywania spamu, raportowania i filtrowania. Podstawowym
zadaniem systemu jest identyfikacja spamu z poczty internetowej.

%package -n perl-Razor
Summary:	Perl modules for Razor
Summary(pl.UTF-8):	Moduły Perla dla Razora
Group:		Development/Languages/Perl

%description -n perl-Razor
Perl modules for Razor, class Razor2::.

%description -n perl-Razor -l pl.UTF-8
Moduły Perla dla Razora, klasa Razor2::.

%prep
%setup -q -n razor-agents-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/razor

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/razor-agents/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* BUGS README INSTALL CREDITS
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n perl-Razor
%defattr(644,root,root,755)
%dir %{_sysconfdir}/razor
%{perl_vendorarch}/Razor2
%dir %{perl_vendorarch}/auto/Razor2
%dir %{perl_vendorarch}/auto/Razor2/Preproc
%dir %{perl_vendorarch}/auto/Razor2/Preproc/deHTMLxs
%attr(755,root,root) %{perl_vendorarch}/auto/Razor2/Preproc/deHTMLxs/deHTMLxs.so
%{perl_vendorarch}/auto/Razor2/Preproc/deHTMLxs/autosplit.ix
%{perl_vendorarch}/auto/Razor2/Syslog
%{_mandir}/man3/*
%changelog
* Fri Mar 13 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Razor.git;a=log;h=master

* Fri Mar 13 2015 Jan Rękorajski <baggins@pld-linux.org> 041f8b6
- release 8 (by relup.sh)

* Sun Sep 14 2014 Jan Rękorajski <baggins@pld-linux.org> 847ee47
- release 7 (by relup.sh)

* Sun Sep 14 2014 Jan Rękorajski <baggins@pld-linux.org> f481966
- removed zero-sized .bs file

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8e13f4c
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> e3437b4
- rel 5

* Sat Nov 27 2010 hawk <hawk@pld-linux.org> 5b7ac45
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 33a455e
- release 3

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> 6829fbd
- release 2

* Wed Aug 20 2008 Paweł Gołaszewski <blues@pld-linux.org> e30b8f5
- 2.85

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> b9ac745
- release 2

* Thu Jun 21 2007 Paweł Gołaszewski <blues@pld-linux.org> f729223
- 2.84

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b2f757d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 387db58
- converted to UTF-8

* Tue Jan 16 2007 Elan Ruusamäe <glen@pld-linux.org> 665d7dc
- make sure man5 are installed; rel 2

* Tue Jan 16 2007 Elan Ruusamäe <glen@pld-linux.org> 7932b3d
- check-files cleanup

* Mon Jun 05 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 27a1930
- include /etc/razor

* Mon Jun 05 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> e2e493c
- up to 2.82.

* Wed May 24 2006 Paweł Gołaszewski <blues@pld-linux.org> 048f747
- symlinks are no longer created - separate scripts

* Tue May 23 2006 Paweł Gołaszewski <blues@pld-linux.org> 70f03f2
- 2.81 - there is no register only admin

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> a21f0d0
- orphaned, outdated

